Package org.h2.security.auth

# Interface Configurable

All Known Subinterfaces:
  `CredentialsValidator`, `UserToRolesMapper`

All Known Implementing Classes:
  `AssignRealmNameRole`, `JaasCredentialsValidator`, `LdapCredentialsValidator`, `StaticRolesMapper`, `StaticUserCredentialsValidator`

public interface Configurable
describe how to perform objects runtime configuration

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(ConfigProperties configProperties)`
configure the component

## Method Details

### configure

void configure(ConfigProperties configProperties)
configure the component

Parameters:
  `configProperties` - = configuration properties